std::bernoulli_distribution Class Reference
Bernoulli Distributions

## Classes

struct | param_type

## Public Types

typedef bool | result_type

## Public Member Functions

| bernoulli_distribution (double __p=0.5)
| bernoulli_distribution (const param_type &__p)
template<typename _ForwardIterator , typename _UniformRandomNumberGenerator >
void | __generate (_ForwardIterator __f, _ForwardIterator __t, _UniformRandomNumberGenerator &__urng)
template<typename _ForwardIterator , typename _UniformRandomNumberGenerator >
void | __generate (_ForwardIterator __f, _ForwardIterator __t, _UniformRandomNumberGenerator &__urng, const param_type &__p)
template<typename _UniformRandomNumberGenerator >
void | __generate (result_type *__f, result_type *__t, _UniformRandomNumberGenerator &__urng, const param_type &__p)
result_type | max () const
result_type | min () const
template<typename _UniformRandomNumberGenerator >
result_type | operator() (_UniformRandomNumberGenerator &__urng)
template<typename _UniformRandomNumberGenerator >
result_type | operator() (_UniformRandomNumberGenerator &__urng, const param_type &__p)
double | p () const
param_type | param () const
void | param (const param_type &__param)
void | reset ()

## Friends

bool | operator== (const bernoulli_distribution &__d1, const bernoulli_distribution &__d2)

## Detailed Description

A Bernoulli random number distribution.

Generates a sequence of true and false values with likelihood that true will come up and that false will appear.

Definition at line 3572 of file random.h.

## Member Typedef Documentation

typedef bool std::bernoulli_distribution::result_type

The type of the range of the distribution.

Definition at line 3576 of file random.h.

## Constructor & Destructor Documentation

std::bernoulli_distribution::bernoulli_distribution | ( | double | __p = `0.5` | ) |

inlineexplicit

Constructs a Bernoulli distribution with likelihood `p`.

Parameters

  __p | [IN] The likelihood of a true result being returned. Must be in the interval .

Definition at line 3609 of file random.h.

## Member Function Documentation

result_type std::bernoulli_distribution::max | ( |  | ) | const

inline

Returns the least upper bound value of the distribution.

Definition at line 3659 of file random.h.

References std::numeric_limits< _Tp >::max().

result_type std::bernoulli_distribution::min | ( |  | ) | const

inline

Returns the greatest lower bound value of the distribution.

Definition at line 3652 of file random.h.

References std::numeric_limits< _Tp >::min().

template<typename _UniformRandomNumberGenerator >

result_type std::bernoulli_distribution::operator() | ( | _UniformRandomNumberGenerator & | __urng | ) |

inline

Generating functions.

Definition at line 3667 of file random.h.

References operator()().

Referenced by operator()().

double std::bernoulli_distribution::p | ( |  | ) | const

inline

Returns the `p` parameter of the distribution.

Definition at line 3630 of file random.h.

param_type std::bernoulli_distribution::param | ( |  | ) | const

inline

Returns the parameter set of the distribution.

Definition at line 3637 of file random.h.

Referenced by std::operator>>().

void std::bernoulli_distribution::param | ( | const param_type & | __param | ) |

inline

Sets the parameter set of the distribution.

Parameters

  __param | The new parameter set of the distribution.

Definition at line 3645 of file random.h.

void std::bernoulli_distribution::reset | ( |  | ) |

inline

Resets the distribution state.

Does nothing for a Bernoulli distribution.

Definition at line 3624 of file random.h.

## Friends And Related Function Documentation

bool operator== | ( | const bernoulli_distribution & | __d1,
|  | const bernoulli_distribution & | __d2
| ) |  |

friend

Return true if two Bernoulli distributions have the same parameters.

Definition at line 3709 of file random.h.

The documentation for this class was generated from the following files:

- random.h
- bits/random.tcc